iam_list_policy_versions: Lists information about the versions of the specified managed...

Description Usage Arguments Details Request syntax

View source: R/iam_operations.R

Description

Lists information about the versions of the specified managed policy, including the version that is currently set as the policy's default version.

Usage

1
iam_list_policy_versions(PolicyArn, Marker, MaxItems)

Arguments

PolicyArn

[required] The Amazon Resource Name (ARN) of the IAM policy for which you want the versions.

For more information about ARNs, see Amazon Resource Names (ARNs) and AWS Service Namespaces in the AWS General Reference.

Marker

Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker element in the response that you received to indicate where the next call should start.

MaxItems

Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.

If you do not include this parameter, the number of items defaults to 100. Note that IAM might return fewer results, even when there are more results available. In that case, the IsTruncated response element returns true, and Marker contains a value to include in the subsequent call that tells the service where to continue from.

Details

For more information about managed policies, see Managed Policies and Inline Policies in the IAM User Guide.

Request syntax

1
2
3
4
5
svc$list_policy_versions(
  PolicyArn = "string",
  Marker = "string",
  MaxItems = 123
)

paws.security.identity documentation built on Oct. 30, 2019, 11:26 a.m.